=== debian/changelog ===
ros-humble-rmw-connextdds (0.11.2-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Tue, 18 Jul 2023 00:00:00 -0000

ros-humble-rmw-connextdds (0.11.1-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Tue, 26 Apr 2022 00:00:00 -0000

ros-humble-rmw-connextdds (0.11.0-1jammy) jammy; urgency=high

  * Exclude missing sample info fields when building rmw_connextddsmicro (#79 <https://github.com/ros2/rmw_connextdds/issues/79>)
  * Update launch_testing_ros output filter prefixes for Connext6 (#80 <https://github.com/ros2/rmw_connextdds/issues/80>)
  * Contributors: Andrea Sorbini, Ivan Santiago Paunovic

 -- Andrea Sorbini <asorbini@rti.com>  Fri, 08 Apr 2022 00:00:00 -0000

ros-humble-rmw-connextdds (0.10.0-1jammy) jammy; urgency=high

  * Add support for user-specified content filters (#68 <https://github.com/ros2/rmw_connextdds/issues/68>)
  * add stub for content filtered topic (#77 <https://github.com/ros2/rmw_connextdds/issues/77>)
  * Contributors: Andrea Sorbini, Chen Lihui, Ivan Santiago Paunovic

 -- Andrea Sorbini <asorbini@rti.com>  Mon, 28 Mar 2022 00:00:00 -0000

ros-humble-rmw-connextdds (0.9.0-1jammy) jammy; urgency=high

  * Add rmw listener apis (#44 <https://github.com/rticommunity/rmw_connextdds/issues/44>)
  * Contributors: iRobot ROS

 -- Andrea Sorbini <asorbini@rti.com>  Tue, 01 Mar 2022 00:00:00 -0000

ros-humble-rmw-connextdds (0.8.3-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Thu, 10 Feb 2022 00:00:00 -0000

ros-humble-rmw-connextdds (0.8.2-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Fri, 14 Jan 2022 00:00:00 -0000

ros-humble-rmw-connextdds (0.8.1-1jammy) jammy; urgency=high

  * Add client/service QoS getters. (#67 <https://github.com/rticommunity/rmw_connextdds/issues/67>)
  * Contributors: mauropasse

 -- Andrea Sorbini <asorbini@rti.com>  Fri, 19 Nov 2021 00:00:00 -0000

ros-humble-rmw-connextdds (0.8.0-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Wed, 15 Sep 2021 00:00:00 -0000

ros-humble-rmw-connextdds (0.7.0-1jammy) jammy; urgency=high

  * Add rmw_publisher_wait_for_all_acked support. (#20 <https://github.com/rticommunity/rmw_connextdds/issues/20>)
  * Contributors: Barry Xu

 -- Andrea Sorbini <asorbini@rti.com>  Fri, 04 Jun 2021 00:00:00 -0000

ros-humble-rmw-connextdds (0.6.1-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Mon, 26 Apr 2021 00:00:00 -0000

ros-humble-rmw-connextdds (0.6.0-1jammy) jammy; urgency=high

  * Use rmw_qos_profile_unknown when adding entity to graph (#28 <https://github.com/rticommunity/rmw_connextdds/issues/28>)
  * Resolve issues identified while investigating #21 <https://github.com/rticommunity/rmw_connextdds/issues/21> (#22 <https://github.com/rticommunity/rmw_connextdds/issues/22>)
  * Use Rolling in README's Quick Start
  * Improved implementation of client::is_service_available for Connext Pro
  * Only add request header to typecode with Basic req/rep profile
  * Remove commented/unused code
  * Avoid topic name validation in get_info functions
  * Reduce shutdown period to 10ms
  * Pass HistoryQosPolicy to graph cache
  * Reset error string after looking up type support
  * Remove DDS-based WaitSet implementation
  * Contributors: Andrea Sorbini, Ivan Santiago Paunovic

 -- Andrea Sorbini <asorbini@rti.com>  Sun, 11 Apr 2021 00:00:00 -0000

ros-humble-rmw-connextdds (0.5.0-1jammy) jammy; urgency=high

  * Merge pull request #13 <https://github.com/rticommunity/rmw_connextdds/issues/13> from Ericsson/unique_network_flows
  * Refactor common API
  * Update branch master to support Rolling only (#15 <https://github.com/rticommunity/rmw_connextdds/issues/15>)
  * Contributors: Ananya Muddukrishna, Andrea Sorbini, William Woodall

 -- Andrea Sorbini <asorbini@rti.com>  Tue, 06 Apr 2021 00:00:00 -0000

ros-humble-rmw-connextdds (0.4.0-1jammy) jammy; urgency=high

  * Add ability to override of endpoint qos settings based on topic name.
  * Optimize QoS for reliable large data.
  * Only trigger data condition if samples were loaned from reader.
  * Alternative WaitSet implementation based on C++ std, selectable at
    compile-time.

 -- Andrea Sorbini <asorbini@rti.com>  Thu, 25 Mar 2021 00:00:00 -0000

ros-humble-rmw-connextdds (0.3.1-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Mon, 15 Mar 2021 00:00:00 -0000

ros-humble-rmw-connextdds (0.3.0-1jammy) jammy; urgency=high

  * Add <buildtool_export_depend> for ament_cmake.
  * Use default dds.transport.UDPv4.builtin.ignore_loopback_interface.

 -- Andrea Sorbini <asorbini@rti.com>  Fri, 12 Mar 2021 00:00:00 -0000

ros-humble-rmw-connextdds (0.2.1-1jammy) jammy; urgency=high

  * Renamed environment variables (``RMW_CONNEXT_USE_DEFAULT_PUBLISH_MODE``,
    ``RMW_CONNEXT_LEGACY_RMW_COMPATIBILITY_MODE``).
  * Support a list of initial peers via ``RMW_CONNEXT_INITIAL_PEERS``.

 -- Andrea Sorbini <asorbini@rti.com>  Thu, 11 Mar 2021 00:00:00 -0000

ros-humble-rmw-connextdds (0.2.0-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Wed, 10 Mar 2021 00:00:00 -0000

ros-humble-rmw-connextdds (0.1.1-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Wed, 10 Mar 2021 00:00:00 -0000

ros-humble-rmw-connextdds (0.1.0-1jammy) jammy; urgency=high

  * Initial release.

 -- Andrea Sorbini <asorbini@rti.com>  Wed, 10 Mar 2021 00:00:00 -0000
