=== debian/control ===
Source: ros-humble-rmw-connextdds
Section: misc
Priority: optional
Maintainer: Andrea Sorbini <asorbini@rti.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-ros, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-rmw-connextdds-common, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rmw-connextdds
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ament-cmake, ros-humble-rmw-connextdds-common, ros-humble-ros-workspace
Description: A ROS2 RMW implementation built with RTI Connext DDS Professional.
